DMESG(1)

NUME
dmesg - afișează sau controlează memoria tampon inelară a nucleului

REZUMAT

dmesg [opțiuni]

dmesg --clear

dmesg --read-clear [opțiuni]

dmesg --console-level nivel

dmesg --console-on

dmesg --console-off

DESCRIERE

dmesg este utilizat pentru a examina sau controla memoria tampon inelară a nucleului.

Acțiunea implicită este de a afișa toate mesajele din memoria tampon inelară a nucleului.

OPȚIUNI

Opțiunile --clear, --read-clear, --console-on, --console-off, și --console-level se exclud reciproc.

-C, --clear
    Șterge memoria tampon inelară.

-c, --read-clear
    Șterge memoria tampon inelară după ce a afișat mai întâi conținutul acesteia.

-D, --console-off
    Dezactivează afișarea mesajelor în consolă.

-d, --show-delta
    Afișează marca de timp și intervalul de timp scurs între mesaje. Dacă se utilizează împreună cu --notime, se afișează numai intervalul de timp fără marca de timp.

-E, --console-on
    Activează afișarea mesajelor în consolă.

-e, --reltime
    Afișează ora locală și intervalul de timp în format ușor de citit. Rețineți că această conversie la ora locală poate fi inexactă (a se vedea -T pentru mai multe detalii).

-F, --file fișier
    Citește mesajele syslog din fișierul dat. Rețineți că -F nu acceptă mesaje în format kmsg. A se vedea opțiunea -K în schimb.

-f, --facility lisă
    Restricționează ieșirea la lista de facilități dată (separată prin virgule). De exemplu:

    dmesg --facility=daemon

    va afișa numai mesajele de la demonii sistemului. Pentru toate facilitățile acceptate, consultați ieșirea --help.

-H, --human
    Activează ieșirea ușor de citit de către om. A se vedea de asemenea --color, --reltime și --nopager.

-J, --json
    Utilizează formatul de ieșire JSON. Formatul de ieșire al timpului este numai în format „sec.usec”, nivelul de prioritate al jurnalului nu este decodificat în mod implicit (utilizați --decode pentru a împărți în facilitate și prioritate), celelalte opțiuni de control al formatului de ieșire sau al formatului de timp sunt ignorate în mod silențios.

-K, --kmsg-file fișier
    Citește mesajele „/dev/kmsg” din fișierul filșier dat. Diferite înregistrări, așa cum se așteaptă să fie separate de un octet NULL.

-k, --kernel
    Afișează mesajele nucleului.

-L, --color[=când]
    Colorează ieșirea. Argumentul opțional când poate fi auto, never (niciodată) sau always (întotdeauna). În cazul în care argumentul când este omis, valoarea implicită este auto. Culorile pot fi dezactivate; pentru valoarea implicită încorporată curentă, consultați ieșirea --help. A se vedea, de asemenea, secțiunea CULORI de mai jos.

-l, --level listă
    Restrânge ieșirea la lista de niveluri dată (separată prin virgule). De exemplu:

    dmesg --level=err,warn

    va afișa numai mesajele de eroare și de avertizare. Pentru a vedea toate nivelurile acceptate, consultați --help.

    Dacă se adaugă un plus + la numele unui nivel, se includ și toate nivelurile superioare. De exemplu:

    dmesg --level=err+

    va afișa nivelurile err, crit, alert și emerg.

    Precedându-l va include toate nivelurile inferioare.

-n, --console-level nivel
    Stabilește nivelul la care se imprimă mesajele în consolă. nivelul este un număr de nivel sau o abreviere a numelui nivelului. Pentru toate nivelurile acceptate, consultați --help.

    De exemplu, -n 1 sau -n emerg împiedică apariția pe consolă a tuturor mesajelor, cu excepția mesajelor de urgență (panică). Toate nivelurile de mesaje sunt în continuare scrise în /proc/kmsg, astfel încât syslogd(8) poate fi utilizat în continuare pentru a controla exact unde apar mesajele din nucleu. Atunci când se utilizează opțiunea -n, dmesg nu va afișa sau șterge memoria tampon inelară a nucleului.

--noescape
    Caracterele neimprimabile și potențial nesigure (de exemplu, secvențe de mai mulți octeți întrerupte, caractere de control ale terminalului etc.) sunt eludate în format \x<hexazecimal> din motive de securitate în mod implicit. Această opțiune dezactivează complet această caracteristică. Este utilizabilă, de exemplu, în scopul depanării împreună cu --raw. Aveți grijă și nu o utilizați în mod implicit.

-P, --nopager
    Nu redirecționează ieșirea către un pager. Un pager este activat în mod implicit pentru ieșirea --human.

-p, --force-prefix
    Adaugă informații despre facilitate, nivel sau marcaj de timp la fiecare linie a unui mesaj cu mai multe linii.

-r, --raw
    Afișează memoria tampon a mesajului brut, adică nu elimină prefixele de nivel de jurnal, dar toate caracterele neimprimabile sunt totuși eliminate (a se vedea și --noescape).

    Rețineți că formatul real brut depinde de metoda prin care dmesg citește mesajele nucleului. Dispozitivul /dev/kmsg utilizează un format diferit față de syslog(2). Pentru compatibilitate retroactivă, dmesg returnează datele întotdeauna în formatul syslog(2). Este posibil să citiți datele reale brute de pe /dev/kmsg, de exemplu, prin comanda «dd if=/dev/kmsg iflag=nonblock».

-S, --syslog
    Forțează dmesg să utilizeze interfața syslog(2) a nucleului pentru a citi mesajele din nucleu. Valoarea implicită este de a utiliza /dev/kmsg mai degrabă decât syslog(2) începând cu kernel 3.5.0.

-s, --buffer-size dimensiunea
    Utilizează o memorie tampon de dimensiunea pentru a interoga memoria tampon inelară a nucleului. Aceasta este 16392 în mod implicit. (Dimensiunea implicită a memoriei-tampon syslog din nucleu era de 4096 la început, 8192 de la 1.3.54 și 16384 de la 2.1.113.) Dacă ați configurat memoria-tampon a nucleului ca fiind mai mare decât cea implicită, atunci această opțiune poate fi utilizată pentru a vizualiza întreaga memorie-tampon.

-T, --ctime
    Afișează marcajele de timp într-un format care poate fi citit de către om.

    Atenție, data și ora pot fi inexacte! Sursa de timp utilizată pentru jurnale nu este actualizată după *SUSPENDAREA/RELUAREA-RELANSAREA* sistemului. Marcajele de timp sunt ajustate în funcție de diferența curentă dintre ora de pornire și ceasurile monotone, acest lucru funcționează numai pentru mesajele afișate după ultima reluare.

--since timpul
    Afișează înregistrarea de la ora specificată. Este acceptată finețea preciziei de sub-secundă. Timpul poate fi specificat atât în mod absolut, cât și prin notație relativă (de exemplu: „1 hour ago”, adică, acum o oră; funcționează doar folosind notația în engleză). Rețineți că marcajul de timp poate fi inexact și consultați --ctime pentru mai multe detalii.

--until timpul
    Afișează înregistrarea dinainte de ora specificată. Este acceptată finețea preciziei de sub-secundă. Timpul poate fi specificat atât în mod absolut, cât și prin notație relativă (de exemplu: „1 hour ago”, adică, acum o oră; funcționează doar folosind notația în engleză). Rețineți că marcajul de timp poate fi inexact și consultați --ctime pentru mai multe detalii.

-t, --notime
    Nu afișează marcajele de timp ale nucleului.

--time-format format
    Afișează marcajele de timp folosind formatul dat, care poate fi ctime, reltime, delta, iso sau raw. Primele trei formate sunt pseudonime ale opțiunilor specifice formatului de timp. Formatul raw utilizează formatul implicit al marcajului de timp care arată secundele de la pornire. Formatul iso este o implementare dmesg a formatului de marcaj temporal ISO-8601. Scopul acestui format este de a facilita compararea marcajelor de timp între două sisteme și orice altă analiză. Definiția marcajului de timp iso este următoarea: AAAA-LL-ZZ<T>HH:MM:SS,<microsecunde>←+>< decalajul de fus orar față de UTC>.

    Formatul iso are aceeași problemă ca și ctime: ora poate fi inexactă atunci când un sistem este suspendat și reluat.

    Opțiunea --time-format poate fi utilizată de mai multe ori cu valori diferite pentru format pentru a produce fiecare format specificat.

    Argumentul delta urmează întotdeauna după ctime sau raw, dacă sunt specificate împreună.

-u, --userspace
    Afișează mesajele din spațiul utilizatorului.

-w, --follow
    Așteaptă mesaje noi. Această funcție este acceptată numai pe sistemele cu un /dev/kmsg care poate fi citit (începând cu nucleul 3.5.0).

-W, --follow-new
    Așteaptă și afișează numai mesajele noi.

-x, --decode
    Decodifică numerele de facilitate și de nivel (prioritate) în prefixe care pot fi ușor de interpretat de către om.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

CULORI

Colorarea ieșirii este implementată de funcționalitatea terminal-colors.d(5). Colorarea implicită poate fi dezactivată printr-un fișier gol

    /etc/terminal-colors.d/dmesg.disable

pentru comanda dmesg sau pentru toate instrumentele (comenzile) prin

    /etc/terminal-colors.d/disable

Începând cu versiunea 2.41, variabila de mediu $NO_COLOR este, de asemenea, acceptată pentru a dezactiva colorarea ieșirii, cu excepția cazului în care este activată explicit printr-o opțiune din linia de comandă.

Configurația specifică utilizatorului $XDG_CONFIG_HOME/terminal-colors.d sau $HOME/.config/terminal-colors.d prevalează asupra celei globale.

Rețineți că colorarea ieșirii poate fi activată în mod implicit și, în acest caz, directoarele terminal-colors.d nu trebuie să existe încă.

Numele de culori logice acceptate de dmesg sunt:

subsys
    Prefixul subsistemului de mesaje (de exemplu, „ACPI:”).

time
    Marca temporală a mesajului.

timebreak
    Marca temporală a mesajului în format ctime scurt în --reltime sau --human.

alert
    Textul mesajului cu prioritatea jurnalului de „alertă”.

crit
    Textul mesajului cu prioritatea jurnalului de „critică”.

err
    Textul mesajului cu prioritatea jurnalului de „eroare”.

warn
    Textul mesajului cu prioritatea jurnalului de „avertisment”.

segfault
    Textul mesajului care informează despre „eroarea de segmentare”.

STARE DE IEȘIRE

dmesg poate eșua raportând o eroare de permisiune refuzată. Acest lucru este de obicei cauzat de configurația dmesg_restrict a nucleului, consultați syslog(2) pentru mai multe detalii.

AUTORI

dmesg a fost scris inițial de

CONSULTAȚI ȘI

terminal-colors.d(5), syslogd(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda dmesg face parte din pachetul util-linux care poate fi descărcat de la